Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class EnterpriseType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.EnterpriseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class EnterpriseType

extends Object
implements Serializable

Generiek type voor een firma.

Java class for EnterpriseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EnterpriseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EnterpriseNumber" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}EnterpriseNumberType"/>
             <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Address" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}AddressType" minOccurs="0"/>
             <element name="PhoneNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ChangedEnterpriseNumber" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}EnterpriseNumberType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`EnterpriseType()`

Method Summary
`AddressType` | `getAddress()` Gets the value of the address property.
`String` | `getChangedEnterpriseNumber()` Gets the value of the changedEnterpriseNumber property.
`String` | `getEnterpriseNumber()` Gets the value of the enterpriseNumber property.
`String` | `getName()` Gets the value of the name property.
`String` | `getPhoneNumber()` Gets the value of the phoneNumber property.
`void` | `setAddress(AddressType value)` Sets the value of the address property.
`void` | `setChangedEnterpriseNumber(String value)` Sets the value of the changedEnterpriseNumber property.
`void` | `setEnterpriseNumber(String value)` Sets the value of the enterpriseNumber property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setPhoneNumber(String value)` Sets the value of the phoneNumber property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterpriseType

    public EnterpriseType()

Method Detail

### getEnterpriseNumber

    public String getEnterpriseNumber()

  Gets the value of the enterpriseNumber property.

  Returns:
    possible object is `String`

### setEnterpriseNumber

    public void setEnterpriseNumber(String value)

  Sets the value of the enterpriseNumber property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getAddress

    public AddressType getAddress()

  Gets the value of the address property.

  Returns:
    possible object is `AddressType`

### setAddress

    public void setAddress(AddressType value)

  Sets the value of the address property.

  Parameters:
    `value` - allowed object is `AddressType`

### getPhoneNumber

    public String getPhoneNumber()

  Gets the value of the phoneNumber property.

  Returns:
    possible object is `String`

### setPhoneNumber

    public void setPhoneNumber(String value)

  Sets the value of the phoneNumber property.

  Parameters:
    `value` - allowed object is `String`

### getChangedEnterpriseNumber

    public String getChangedEnterpriseNumber()

  Gets the value of the changedEnterpriseNumber property.

  Returns:
    possible object is `String`

### setChangedEnterpriseNumber

    public void setChangedEnterpriseNumber(String value)

  Sets the value of the changedEnterpriseNumber property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.